package com.dst.slms.plan.entity;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.hibernate.annotations.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Table;

import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.ForeignKey;
import org.hibernate.annotations.NotFound;
import org.hibernate.annotations.NotFoundAction;
import com.dst.slms.common.entity.CoreBaseEntryInfo;
import org.hibernate.annotations.DynamicUpdate;
import com.dst.slms.common.annotation.EntityMeta;
import com.dst.slms.common.annotation.FieldMeta;
import javax.persistence.MappedSuperclass;
/**   
 * @Title: 计划明细 Info 对象
 * @Description: 计划明细
 * @author 
 * @date 2020-05-05 09:18:06
 * @version V1.0   
 */
@MappedSuperclass
public class AbstractProjectYearBudgetE1Info  extends CoreBaseEntryInfo implements java.io.Serializable {
	
	/**父对象关联*/
	@OneToOne(fetch = FetchType.LAZY)@JoinColumn(name = "FparentId")@NotFound(action=NotFoundAction.IGNORE)@ForeignKey(name="null")
	@FieldMeta(name="父对象关联" )
	private com.dst.slms.plan.entity.ProjectYearBudgetInfo parent;
	
	/**科目编码*/
	@OneToOne(fetch = FetchType.LAZY)@JoinColumn(name = "FaccountNumberID")@NotFound(action=NotFoundAction.IGNORE)@ForeignKey(name="null")
	@FieldMeta(name="科目编码" )
	private com.dst.slms.base.entity.MarketAccountInfo account;
	
	/**科目名称*/
	@Column(name ="FaccountName")
	@FieldMeta(name="科目名称" )
	private java.lang.String accountName;
	
	/**合计金额*/
	@Column(name ="Famount")
	@FieldMeta(name="合计金额" )
	private java.math.BigDecimal amount;
	
	/**一月*/
	@Column(name ="Fone")
	@FieldMeta(name="一月" )
	private java.math.BigDecimal one;
	
	/**二月*/
	@Column(name ="Ftwo")
	@FieldMeta(name="二月" )
	private java.math.BigDecimal two;
	
	/**三月*/
	@Column(name ="Fthree")
	@FieldMeta(name="三月" )
	private java.math.BigDecimal three;
	
	/**四月*/
	@Column(name ="Ffour")
	@FieldMeta(name="四月" )
	private java.math.BigDecimal four;
	
	/**五月*/
	@Column(name ="Ffive")
	@FieldMeta(name="五月" )
	private java.math.BigDecimal five;
	
	/**六月*/
	@Column(name ="Fsix")
	@FieldMeta(name="六月" )
	private java.math.BigDecimal six;
	
	/**七月*/
	@Column(name ="Fseven")
	@FieldMeta(name="七月" )
	private java.math.BigDecimal seven;
	
	/**八月*/
	@Column(name ="Feight")
	@FieldMeta(name="八月" )
	private java.math.BigDecimal eight;
	
	/**九月*/
	@Column(name ="Fnine")
	@FieldMeta(name="九月" )
	private java.math.BigDecimal nine;
	
	/**十月*/
	@Column(name ="Ften")
	@FieldMeta(name="十月" )
	private java.math.BigDecimal ten;
	
	/**十一月*/
	@Column(name ="Feleven")
	@FieldMeta(name="十一月" )
	private java.math.BigDecimal eleven;
	
	/**十二月*/
	@Column(name ="Ftwelve")
	@FieldMeta(name="十二月" )
	private java.math.BigDecimal twelve;
	
	
	/**
	 *方法: 取得com.dst.slms.plan.entity.ProjectYearBudgetInfo
	 *@return: com.dst.slms.plan.entity.ProjectYearBudgetInfo  父对象关联
	 */
	public com.dst.slms.plan.entity.ProjectYearBudgetInfo getParent(){
		return this.parent;
	}

	/**
	 *方法: 设置com.dst.slms.plan.entity.ProjectYearBudgetInfo
	 *@param: com.dst.slms.plan.entity.ProjectYearBudgetInfo  父对象关联
	 */
	public void setParent(com.dst.slms.plan.entity.ProjectYearBudgetInfo parent){
		this.parent = parent;
	}
	
	/**
	 *方法: 取得com.dst.slms.base.entity.MarketAccountInfo
	 *@return: com.dst.slms.base.entity.MarketAccountInfo  科目编码
	 */
	public com.dst.slms.base.entity.MarketAccountInfo getAccount(){
		return this.account;
	}

	/**
	 *方法: 设置com.dst.slms.base.entity.MarketAccountInfo
	 *@param: com.dst.slms.base.entity.MarketAccountInfo  科目编码
	 */
	public void setAccount(com.dst.slms.base.entity.MarketAccountInfo account){
		this.account = account;
	}
	
	/**
	 *方法: 取得java.lang.String
	 *@return: java.lang.String  科目名称
	 */
	public java.lang.String getAccountName(){
		return this.accountName;
	}

	/**
	 *方法: 设置java.lang.String
	 *@param: java.lang.String  科目名称
	 */
	public void setAccountName(java.lang.String accountName){
		this.accountName = accountName;
	}
	
	/**
	 *方法: 取得java.math.BigDecimal
	 *@return: java.math.BigDecimal  合计金额
	 */
	public java.math.BigDecimal getAmount(){
		return this.amount;
	}

	/**
	 *方法: 设置java.math.BigDecimal
	 *@param: java.math.BigDecimal  合计金额
	 */
	public void setAmount(java.math.BigDecimal amount){
		this.amount = amount;
	}
	
	/**
	 *方法: 取得java.math.BigDecimal
	 *@return: java.math.BigDecimal  一月
	 */
	public java.math.BigDecimal getOne(){
		return this.one;
	}

	/**
	 *方法: 设置java.math.BigDecimal
	 *@param: java.math.BigDecimal  一月
	 */
	public void setOne(java.math.BigDecimal one){
		this.one = one;
	}
	
	/**
	 *方法: 取得java.math.BigDecimal
	 *@return: java.math.BigDecimal  二月
	 */
	public java.math.BigDecimal getTwo(){
		return this.two;
	}

	/**
	 *方法: 设置java.math.BigDecimal
	 *@param: java.math.BigDecimal  二月
	 */
	public void setTwo(java.math.BigDecimal two){
		this.two = two;
	}
	
	/**
	 *方法: 取得java.math.BigDecimal
	 *@return: java.math.BigDecimal  三月
	 */
	public java.math.BigDecimal getThree(){
		return this.three;
	}

	/**
	 *方法: 设置java.math.BigDecimal
	 *@param: java.math.BigDecimal  三月
	 */
	public void setThree(java.math.BigDecimal three){
		this.three = three;
	}
	
	/**
	 *方法: 取得java.math.BigDecimal
	 *@return: java.math.BigDecimal  四月
	 */
	public java.math.BigDecimal getFour(){
		return this.four;
	}

	/**
	 *方法: 设置java.math.BigDecimal
	 *@param: java.math.BigDecimal  四月
	 */
	public void setFour(java.math.BigDecimal four){
		this.four = four;
	}
	
	/**
	 *方法: 取得java.math.BigDecimal
	 *@return: java.math.BigDecimal  五月
	 */
	public java.math.BigDecimal getFive(){
		return this.five;
	}

	/**
	 *方法: 设置java.math.BigDecimal
	 *@param: java.math.BigDecimal  五月
	 */
	public void setFive(java.math.BigDecimal five){
		this.five = five;
	}
	
	/**
	 *方法: 取得java.math.BigDecimal
	 *@return: java.math.BigDecimal  六月
	 */
	public java.math.BigDecimal getSix(){
		return this.six;
	}

	/**
	 *方法: 设置java.math.BigDecimal
	 *@param: java.math.BigDecimal  六月
	 */
	public void setSix(java.math.BigDecimal six){
		this.six = six;
	}
	
	/**
	 *方法: 取得java.math.BigDecimal
	 *@return: java.math.BigDecimal  七月
	 */
	public java.math.BigDecimal getSeven(){
		return this.seven;
	}

	/**
	 *方法: 设置java.math.BigDecimal
	 *@param: java.math.BigDecimal  七月
	 */
	public void setSeven(java.math.BigDecimal seven){
		this.seven = seven;
	}
	
	/**
	 *方法: 取得java.math.BigDecimal
	 *@return: java.math.BigDecimal  八月
	 */
	public java.math.BigDecimal getEight(){
		return this.eight;
	}

	/**
	 *方法: 设置java.math.BigDecimal
	 *@param: java.math.BigDecimal  八月
	 */
	public void setEight(java.math.BigDecimal eight){
		this.eight = eight;
	}
	
	/**
	 *方法: 取得java.math.BigDecimal
	 *@return: java.math.BigDecimal  九月
	 */
	public java.math.BigDecimal getNine(){
		return this.nine;
	}

	/**
	 *方法: 设置java.math.BigDecimal
	 *@param: java.math.BigDecimal  九月
	 */
	public void setNine(java.math.BigDecimal nine){
		this.nine = nine;
	}
	
	/**
	 *方法: 取得java.math.BigDecimal
	 *@return: java.math.BigDecimal  十月
	 */
	public java.math.BigDecimal getTen(){
		return this.ten;
	}

	/**
	 *方法: 设置java.math.BigDecimal
	 *@param: java.math.BigDecimal  十月
	 */
	public void setTen(java.math.BigDecimal ten){
		this.ten = ten;
	}
	
	/**
	 *方法: 取得java.math.BigDecimal
	 *@return: java.math.BigDecimal  十一月
	 */
	public java.math.BigDecimal getEleven(){
		return this.eleven;
	}

	/**
	 *方法: 设置java.math.BigDecimal
	 *@param: java.math.BigDecimal  十一月
	 */
	public void setEleven(java.math.BigDecimal eleven){
		this.eleven = eleven;
	}
	
	/**
	 *方法: 取得java.math.BigDecimal
	 *@return: java.math.BigDecimal  十二月
	 */
	public java.math.BigDecimal getTwelve(){
		return this.twelve;
	}

	/**
	 *方法: 设置java.math.BigDecimal
	 *@param: java.math.BigDecimal  十二月
	 */
	public void setTwelve(java.math.BigDecimal twelve){
		this.twelve = twelve;
	}
		
	@Override
	public void setBosType(String bosType) {
		this.bosType = "S89TGXXN";
	}
}
